Package org.apache.ignite.client.events

## Class HandshakeStartEvent

- java.lang.Object
- - org.apache.ignite.client.events.ConnectionEvent
  - - org.apache.ignite.client.events.HandshakeStartEvent

    public class HandshakeStartEvent
    extends ConnectionEvent

### Constructor Summary

Constructors
`HandshakeStartEvent​(ConnectionDescription conn)`

### Method Summary

### Methods inherited from class org.apache.ignite.client.events.ConnectionEvent

`connectionDescription`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HandshakeStartEvent

    public HandshakeStartEvent​(ConnectionDescription conn)

Parameters:
  `conn` - Connection description.